Web Browser Compatibility
Skip to main content

Community Center

Web Browser Compatibility

by Jen Novotny | Feb 08, 2019
Photo showing the word "security"  
First National Bank takes the safety and security of your information very seriously. That’s why our website and online banking vendors use the latest encryption protocols (TLS 1.2 and later) to maintain the highest security standards and promote the safety of customer data.

Today’s modern operating systems and web browsers are compatible by default with TLS 1.2.

However, if you are using an outdated operating system or web browser that is not compatible with TLS 1.2, portions of our website and/or online banking may not load properly for you.

If you are having trouble accessing portions of our website and/or online banking, please refer to this guide to determine if you need to update your browser and/or operating system.

 

For further help accessing online banking, please contact our Deposit Operations team at 262-670-3878.